package nullfree.linkedlist.polymorph;

import nullfree.linkedlist.HeadAndTail;
import nullfree.linkedlist.Node;
import nullfree.linkedlist.NodeFactory;

public class PolymorphNodeFactory<T> implements NodeFactory<T> {
	public HeadAndTail<T> createFirstNode(T value) {
		Node<T> n = new SingleNode<T>(value);
		SimpleHeadAndTail<T> res = new SimpleHeadAndTail<T>();
		res.setHead(n);
		res.setTail(n);
		return res;
	}
}
